package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMAsset;
/**
 * 关系型数据实体[EAMAsset] 查询条件对象
 */
@Slf4j
@Data
public class EAMAssetSearchContext extends QueryWrapperContext<EAMAsset> {

	private String n_assetname_like;//[资产名称]
	public void setN_assetname_like(String n_assetname_like) {
        this.n_assetname_like = n_assetname_like;
        if(!ObjectUtils.isEmpty(this.n_assetname_like)){
            this.getSearchCond().like("assetname", n_assetname_like);
        }
    }
	private String n_eamassettypeid_eq;//[资产类型标识]
	public void setN_eamassettypeid_eq(String n_eamassettypeid_eq) {
        this.n_eamassettypeid_eq = n_eamassettypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassettypeid_eq)){
            this.getSearchCond().eq("eamassettypeid", n_eamassettypeid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_passetid_eq;//[上级资产标识]
	public void setN_passetid_eq(String n_passetid_eq) {
        this.n_passetid_eq = n_passetid_eq;
        if(!ObjectUtils.isEmpty(this.n_passetid_eq)){
            this.getSearchCond().eq("passetid", n_passetid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("assetname", query)   
            );
		 }
	}
}



